Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 2.1.2
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002851Zandronum[All Projects] Suggestionpublic2016-10-03 12:412016-12-28 00:16
ReporterTorr Samaho 
Assigned ToTorr Samaho 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.1 
Target Version3.0Fixed in Version3.0 
Summary0002851: Pause in client side demos
DescriptionGoing in direction of 0000581:0002160, I added an experimental demo_pause command. Please test this binary to see if it works as expected.
Attached Files? file icon test.cld [^] (44,642 bytes) 2016-10-04 06:15
? file icon win7test.cld [^] (363,940 bytes) 2016-10-08 09:12

- Relationships

-  Notes
User avatar (0015747)
JKist3 (reporter)
2016-10-04 01:19

I setup a local server and recorded a demo on it with the listed binary. When I try to playback the demo I get a "couldn't read file test.cld" error.
User avatar (0015748)
Torr Samaho (administrator)
2016-10-04 06:03
edited on: 2016-10-04 06:03

None of the changes should have any effect on finding the demo. Is the file "test.cld" where you expect it to be? Can you upload it somewhere so that I can check the demo?

User avatar (0015750)
JKist3 (reporter)
2016-10-04 06:15

the file is where I expected it. I attached the file. It only needs doom2.wad iwad, no pwads.
User avatar (0015751)
Edward-san (developer)
2016-10-04 08:38
edited on: 2016-10-04 08:41

The demo plays fine for me, but when I try to unlock the pause by demo_pause I get 'connection interrupted' and the player does not move at all, but the sectors, the monsters and more work fine.

User avatar (0015758)
Torr Samaho (administrator)
2016-10-04 19:08

This should fix the 'connection interrupted' problem (I didn't notice this before since I only tested a demo recorded from a spectators perspective). Furthermore, demo_skiptics now can be used while a demo is paused, which allows to go through a demo tic by tic.

I also had no problems opening "test.cld". Is it in the same folder as zandronum.exe?
User avatar (0015760)
JKist3 (reporter)
2016-10-05 03:03

ok so after some debugging I'm pretty sure this is because im trying to test this out on a windowsXP machine. According to Bzlut3 the stable releases use vs2005 and the test ones use vs2015.
User avatar (0015803)
JKist3 (reporter)
2016-10-08 08:59
edited on: 2016-10-08 09:13

Ok. So I installed windows 7 today in order to better help debug things. Now the demos playback! I have run into a few potential bugs, i'm not sure they are all related to demo_pause but I will list them:

1) when pausing a demo, somehow it seems to halfway lock in the angle you are currently looking at. When I advance a demo tic by tic with demo_skiptics 1, the angle i end up looking at when im done advancing is different from what it was in game. You can easily see this with plasma. in the demo the plasma will shoot off at an angle the demo is not facing.

2) weapon animations get desynced when pausing and advancing tic by tic.

3) I wanted to bind a key to pause and advance demos tic by tic. Here is what i put in my zandronum cfg:

;=demo_pause
'=demo_skiptics 1

whenever i press either of those keys or any other key in a demo it just brings up the game menu. It would be preferable to have binds working for this so that you could just press your demo pause button or demo slow motion button after it was paused

I'm attaching a new demo that hopefully shows what im talking about. Try to pause the demo and keep advancing it with demo_skiptics 1 until i have turned to face a new direction from when the demo was originally paused. The demo should be looking in a different direction than I was in game. Also pause the demo and keep advancing while I shoot a weapon (ssg is easy to see this on). The weapon animation is not properly synced.

EDIT: the attached win7test.cld demo is on dwango5.wad.

User avatar (0016027)
Torr Samaho (administrator)
2016-10-16 19:41

This should allow key binding.
User avatar (0016127)
WaTaKiD (updater)
2016-10-30 20:50
edited on: 2016-10-30 20:50

https://bitbucket.org/Torr_Samaho/zandronum/commits/a7fde8440b08f3ccfaab1c1084191d43686c8e73 [^]
and
https://bitbucket.org/Torr_Samaho/zandronum/commits/cbc5f23465355dcff614ef1fa4d8768e456d7342 [^]
were added for winxp demo playback

while https://bitbucket.org/Torr_Samaho/zandronum/commits/666d1e3198fb8bb241b40ef32a2243a5e0fb94c6 [^] allows binds to be used during demo playback

User avatar (0016557)
Combinebobnt (reporter)
2016-12-28 00:15

Tested in a lan server, demo_pause seemed to work as intended. I used it normally, spammed it, and even paused in intermission and everything worked. Binding a key to demo_skiptics 1 while it was paused worked well too, as the demo played tic by tic.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: Karakurt DemonSphere capodecima
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2016-10-03 12:41 Torr Samaho New Issue
2016-10-03 12:41 Torr Samaho Assigned To => Torr Samaho
2016-10-03 12:41 Torr Samaho Status new => needs testing
2016-10-03 12:43 Torr Samaho Product Version => 2.1
2016-10-03 12:43 Torr Samaho Target Version => 3.0
2016-10-04 01:19 JKist3 Note Added: 0015747
2016-10-04 06:03 Torr Samaho Note Added: 0015748
2016-10-04 06:03 Torr Samaho Note Edited: 0015748 View Revisions
2016-10-04 06:15 JKist3 File Added: test.cld
2016-10-04 06:15 JKist3 Note Added: 0015750
2016-10-04 08:38 Edward-san Note Added: 0015751
2016-10-04 08:41 Edward-san Note Edited: 0015751 View Revisions
2016-10-04 19:08 Torr Samaho Note Added: 0015758
2016-10-05 03:03 JKist3 Note Added: 0015760
2016-10-08 08:59 JKist3 Note Added: 0015803
2016-10-08 09:11 JKist3 Note Edited: 0015803 View Revisions
2016-10-08 09:12 JKist3 File Added: win7test.cld
2016-10-08 09:13 JKist3 Note Edited: 0015803 View Revisions
2016-10-16 19:41 Torr Samaho Note Added: 0016027
2016-10-30 20:50 WaTaKiD Note Added: 0016127
2016-10-30 20:50 WaTaKiD Note Edited: 0016127 View Revisions
2016-12-28 00:15 Combinebobnt Note Added: 0016557
2016-12-28 00:16 Ru5tK1ng Status needs testing => resolved
2016-12-28 00:16 Ru5tK1ng Resolution open => fixed
2016-12-28 00:16 Ru5tK1ng Fixed in Version => 3.0






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker